## libopengl-perl 0.7004+dfsg

=== utils/Makefile ===
#!make

# Default values for this Makefile
GLUT_DEF=HAVE_FREEGLUT
GLUT_LIB=-lglut

# Key OpenGL compile/link locations
INC=-I/usr/include -I/usr/X11R6/include -I/usr/local/include -I/usr/openwin/include
LIBS=-L/usr/lib -L/usr/X11R6/lib -L/usr/local/lib -L/usr/openwin/lib -L/usr/lib/xorg/modules -L/usr/X11R6/lib/modules -L/usr/lib/xorg/modules/extensions -L/usr/X11R6/lib/modules/extensions

# Compile command
CC=cc
CCFLAGS=${INC} -D${GLUT_DEF}

# Link command
LINK=cc
LDFLAGS=${LIBS} -lGL ${GLUT_LIB}
EXTRALIBS=-lGLU -lXi -lXmu -lXext -lX11 -lm


all: glversion.txt

glversion.txt: glversion
	./glversion > glversion.txt

glversion: glversion.o
	${LINK} glversion.o ${LDFLAGS} ${EXTRALIBS} -o glversion
	chmod u+x glversion

clean:
	rm -f glversion.txt
	rm -f glversion
	rm -f glversion.o

.c.o:
	${CC} ${CCFLAGS} -c $<

## libopengl-perl 0.66+dfsg

=== debian/changelog ===
libopengl-perl (0.66+dfsg-1) unstable; urgency=low

  [ Chris Butler ]
  * New upstream release 0.63.
  * debian/copyright: updated reference to GPL-1 to include the version
    number.
  * Add myself to copyright and Uploaders.
  * Switched to source format 3.0 (quilt), removed quilt framework.
  * Removed patch fix-pod-spelling (applied upstream), refreshed
    disable-glversion patch.
  * Bump Standards-Version to 3.9.0 (no changes necessary).

  [ gregor herrmann ]
  * New upstream release 0.64 (closes: #629195).
  * Set Standards-Version to 3.9.2 (no changes).
  * Email change: Niko Tyni -> ntyni@debian.org
  * Enable (part of) the test suite during package build.
  * Switch to debhelper compatibility level 9 to pass CFLAGS to
    Makefile.PL/Build.PL.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Fabrizio Regalli ]
  * New upstream version 0.66
  * Removed examples-perl-path
  * Added rules for changing path to /usr/bin/perl in examples

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Florian Schlichting ]
  * Make rewriting Perl path in examples actually work.
  * debian/patches/add-gl_exclude.h: re-add file removed upstream,
    because it's impossible to generate in a build chroot.
  * debian/patches/fix-pod-spelling.patch added.
  * debian/patches/dont_link_against_unused_libs: prune library dependencies.
  * Add myself to copyright and Uploaders.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Sat, 28 Jan 2012 00:21:00 +0100

libopengl-perl (0.62+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Install Release_Notes as upstream changelog

  [ Maximilian Gass ]
  * Add patch to fix spelling in POD
  * Bump Standards-Version to 3.8.4 (no changes necessary)

  [ gregor herrmann ]
  * debian/copyright: update formatting to revision 135 of DEP5.

 -- Maximilian Gass <mxey@cloudconnected.org>  Sun, 31 Jan 2010 17:19:20 +0100

libopengl-perl (0.61+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove use-freeglut patch, it was applied upstream
  * Refresh disable-glversion patch
  * Install examples

 -- Maximilian Gass <mxey@cloudconnected.org>  Tue, 17 Nov 2009 12:06:52 +0100

libopengl-perl (0.60+dfsg-2) unstable; urgency=low

  * Added use-freeglut patch to notice GLUT that is actually FreeGLUT
    (closes: #552458)
  * Reduced freeglut3-dev | libglut-dev dependency to freeglut3-dev to avoid
    some packages being built against non-FreeGLUT GLUT

 -- Maximilian Gass <mxey@cloudconnected.org>  Sat, 31 Oct 2009 09:48:28 +0100

libopengl-perl (0.60+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Maximilian Gass <mxey@cloudconnected.org>  Fri, 23 Oct 2009 20:09:04 +0200

libopengl-perl (0.59+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refreshed disable-glversion patch because it applied with offset

 -- Maximilian Gass <mxey@cloudconnected.org>  Thu, 08 Oct 2009 16:57:53 +0200

libopengl-perl (0.58+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * updated gregor's e-mail address
  * Removed Alexis Sukrieh from Uploaders (Closes: #536140)

  [ gregor herrmann ]
  * debian/watch: use dist-based URL.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * add myself to uploaders
  * convert to +dfsg version format
  * change the d/rules and d/change-prefix-in-tar to d/watch and
    d/repack.sh
  * New upstream release (0.57)
  * Debian Policy 3.8.1
  * Update ryan52's email address

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Maximilian Gass ]
  * Added myself to uploaders
  * New upstream release (0.58)
    + Added new patch disable-glversion to disable auto-detection of GL
      features, as NO_DISPLAY is now ignored.
  * Added replacement for glext_procs.h (thanks to Lars Stoltenow)
  * Bumped Standards-Version to 3.8.3
    + Removed version on perl build-dependency
  * Modernized debian/rules
  * Switched debian/copyright to DEP5

 -- Maximilian Gass <mxey@cloudconnected.org>  Fri, 25 Sep 2009 09:36:17 +0200

libopengl-perl (0.56.dfsg.1-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Damyan Ivanov ]
  * debian/rules:
    + split PREFIX to DESTDIR and PREFIX
    + make build-stamp depend on $(QUILT_STAMPFN) instead of build depend on
      patch
  * debian/watch: add v? to the pattern, a bit stricter version pattern
  * Standards-Version: 3.7.3 (no changes)
  * debhelper compatibility level 6
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Wed, 23 Jan 2008 23:02:56 +0200

libopengl-perl (0.56.dfsg.1-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release. (Closes: #421408)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ Niko Tyni ]
  * Unapply old Debian modifications, they are no longer needed:
    + upstream version should have all the .alan1 features
    + GL_SOURCE3_RGB_EXT et al (#238617) are gone from upstream sources.
    + GL_COLOR_TABLE_FORMAT_EXT et al (#322646) are now aliases for
      the new symbols (eg. GL_COLOR_TABLE_FORMAT) when needed.
  * Wrap overlong Build-Depends line.
  * Manage debian/patches with quilt.
    + no-display-build: don't try to find out the GL version and features
      from the running X server.
    + examples-perl-path: fix the path to 'perl' in the example files.
    + use-system-headers: look for glut.h in the system headers, not the
      bundled ones.
  * Upgrade to debhelper compatibility level 5.
  * Update debian/copyright.


=== debian/control ===
Source: libopengl-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9),
 freeglut3-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libx11-dev,
 perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
 Niko Tyni <ntyni@debian.org>,
 Damyan Ivanov <dmn@debian.org>,
 Ryan Niebur <ryan@debian.org>,
 Maximilian Gass <mxey@cloudconnected.org>,
 Chris Butler <chrisb@debian.org>,
 Florian Schlichting <fschlich@zedat.fu-berlin.de>
Standards-Version: 3.9.2
Homepage: http://search.cpan.org/dist/OpenGL/
Vcs-Git: git://git.debian.org/pkg-perl/packages/libopengl-perl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libopengl-perl.git

Package: libopengl-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Perl interface providing graphics display using OpenGL
 OpenGL is a Perl module that provides an interface to most of Open Graphics
 Library, API versions 1.0, 1.1 and 1.2. There is full support for the Utility
 Toolkit (GLUT) up to version 3 and provides some additional functionality via
 partial support for the Utility Library (GLU). It also provides functionality
 to use the X Window System (through X11 and GLX) as an alternative to GLUT.

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
opts="dversionmangle=s/\+dfsg//" \
http://search.cpan.org/dist/OpenGL/   .*/OpenGL-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip) \
debian sh debian/repack.stub

## libopengl-perl 0.67+dfsg

=== debian/changelog ===
libopengl-perl (0.67+dfsg-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Update debian/repack.stub.

  * New upstream release.
    Fixes "FTBFS: gl_const.h:2913:4: error: 'GL_TYPE_RGBA_FLOAT_ATI'
    undeclared (first use in this function)"
    (Closes: #713564)
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update copyright information.
  * Refresh 2 patches (offset).
  * Use debhelper 9.20120312 to get all hardening flags.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 27 Jun 2013 21:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libopengl-perl
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20120312),
  freeglut3-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
@@ -15,9 +15,9 @@
  Maximilian Gass <mxey@cloudconnected.org>,
  Chris Butler <chrisb@debian.org>,
  Florian Schlichting <fschlich@zedat.fu-berlin.de>
-Standards-Version: 3.9.2
-Homepage: http://search.cpan.org/dist/OpenGL/
-Vcs-Git: git://git.debian.org/pkg-perl/packages/libopengl-perl.git
+Standards-Version: 3.9.4
+Homepage: https://metacpan.org/release/OpenGL/
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libopengl-perl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libopengl-perl.git
 
 Package: libopengl-perl

## libopengl-perl 0.6703%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  Ryan Niebur <ryan@debian.org>,
  Maximilian Gass <mxey@cloudconnected.org>,
  Chris Butler <chrisb@debian.org>,
- Florian Schlichting <fschlich@zedat.fu-berlin.de>
+ Florian Schlichting <fsfs@debian.org>
 Standards-Version: 3.9.4
 Homepage: https://metacpan.org/release/OpenGL/
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libopengl-perl.git

## libopengl-perl 0.6703+dfsg

=== debian/changelog ===
libopengl-perl (0.6703+dfsg-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 0.6703+dfsg
  * Drop removed_gl_extensions patch
  * Update copyright years for upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Dec 2013 09:18:59 +0100

libopengl-perl (0.6702+dfsg-2) unstable; urgency=low

  * Team upload.
  * Add removed_gl_extensions patch.
    Tolerate absence of several extensions removed in Mesa 9.2.0
    Thanks to Colin Watson <cjwatson@ubuntu.com> for the patch (Closes: #727198)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Oct 2013 14:17:24 +0200

libopengl-perl (0.6702+dfsg-1) unstable; urgency=low

  * Import Upstream version 0.6702+dfsg
  * Update years of upstream and packaging copyright
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Refresh and forward patches

 -- Florian Schlichting <fsfs@debian.org>  Thu, 03 Oct 2013 23:52:52 +0200

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
opts="dversionmangle=s/\+dfsg//" \
https://metacpan.org/release/OpenGL/   .*/OpenGL-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip) \
debian sh debian/repack.stub

## libopengl-perl 0.6704+dfsg

=== debian/changelog ===
libopengl-perl (0.6704+dfsg-2build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Dec 2015 15:56:11 +0000

libopengl-perl (0.6704+dfsg-2) unstable; urgency=medium

  * Add patch from Petr Písař deleting functions removed from libGL
    (Closes: #795741)

 -- Niko Tyni <ntyni@debian.org>  Tue, 25 Aug 2015 22:39:08 +0300

libopengl-perl (0.6704+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright. Drop stanza about removed file.
  * Declare compliance with Debian Policy 3.9.6.
  * Mark package as autopkgtest-able.
  * Drop fix-pod-spelling.patch, merged upstream.
  * Add patch to make build reproducible.
    Thanks to Chris Lamb for the bug report and patch. (Closes: #778961)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 May 2015 21:54:26 +0200

=== debian/control ===
Source: libopengl-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Niko Tyni <ntyni@debian.org>,
           Damyan Ivanov <dmn@debian.org>,
           Ryan Niebur <ryan@debian.org>,
           Chris Butler <chrisb@debian.org>,
           Florian Schlichting <fsfs@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312),
               freeglut3-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libx11-dev,
               perl
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libopengl-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libopengl-perl.git
Homepage: https://metacpan.org/release/OpenGL

Package: libopengl-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl interface providing graphics display using OpenGL
 OpenGL is a Perl module that provides an interface to most of Open Graphics
 Library, API versions 1.0, 1.1 and 1.2. There is full support for the Utility
 Toolkit (GLUT) up to version 3 and provides some additional functionality via
 partial support for the Utility Library (GLU). It also provides functionality
 to use the X Window System (through X11 and GLX) as an alternative to GLUT.

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

TEST_FILES=$(wildcard t/*.t)

%:
	dh $@

override_dh_auto_test:
	# run t/*.t, skip test.pl
	dh_auto_test -- TEST_FILES="$(TEST_FILES)" TEST_FILE=/dev/null

override_dh_installchangelogs:
	dh_installchangelogs Release_Notes

override_dh_installexamples:
	dh_installexamples
	find $(TMP)/usr/share/doc/$(PACKAGE)/examples -type f -print0 | \
		xargs -r0 sed -i -e '1s|^#!/usr/local/bin/perl|#!/usr/bin/perl|'

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
https://metacpan.org/release/OpenGL   .*/OpenGL-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip) \
debian sh debian/repack.stub

## libopengl-perl 0.7000+dfsg

=== debian/changelog ===
libopengl-perl (0.7000+dfsg-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix build failure on 32 bit architectures.

  [ Florian Schlichting ]
  * Do not patch generated glext_types.h with sed, instead have
    utils/glext_procs.pl copy #include statements
  * Drop unnecessary dependency on libegl1-mesa-dev, KHR/khrplatform.h is in
    mesa-common-dev as well

 -- Florian Schlichting <fsfs@debian.org>  Wed, 13 Feb 2019 22:53:54 +0100

libopengl-perl (0.7000+dfsg-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Florian Schlichting ]
  * Build without OpenGL Extension exclusions, as if dist=NO_EXCLUSIONS was
    given (closes: #918623)
  * Add a patch to prevent a segfault from pointer truncation, contributed by
    Thomas Kremer (closes: #886496)
  * Update years of packaging copyright
  * Bump dh compat to level 12
  * Declare compliance with Debian Policy 4.3.0
  * Fix another typo via spelling.patch
  * Remove x bit from more examples
  * Update repacking to the "modern way"

 -- Florian Schlichting <fsfs@debian.org>  Tue, 12 Feb 2019 23:03:05 +0100

libopengl-perl (0.7000+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Chris Butler from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!
  * debian/watch: add uversionmangle. Upstream went back from 4-digit to
    2-digit minor versions.
  * Add debian/upstream/metadata.

  * Import upstream version 0.7000.
    Closes: #853499
  * Refresh patches disable-glversion, use-systems-gl,
    dont_link_against_unused_libs, Delete-functions-removed-from-Mesa.patch.
  * Drop patch debian/patches/reproducible_build, merged upstream.
  * Add a patch to fix some spelling mistakes in the POD.
  * Set bindnow linker flag in debian/rules.
  * Update upstream copyright information.
  * Use HTTPS for URL in debian/upstream/metadata. Thanks to duck.
  * Fix permissions of some documentation files.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Aug 2017 12:30:42 -0400

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Uploaders: gregor herrmann <gregoa@debian.org>,
            Niko Tyni <ntyni@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
-           Ryan Niebur <ryan@debian.org>,
-           Chris Butler <chrisb@debian.org>,
            Florian Schlichting <fsfs@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9.20120312),
+Build-Depends: debhelper (>= 12),
                freeglut3-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libx11-dev,
                perl
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libopengl-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libopengl-perl.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libopengl-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libopengl-perl.git
 Homepage: https://metacpan.org/release/OpenGL
 
 Package: libopengl-perl

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
EXAMPLES = $(TMP)/usr/share/doc/$(PACKAGE)/examples
ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

TEST_FILES=$(wildcard t/*.t)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_build:
	( cd $(CURDIR)/utils; perl glext_procs.pl )
	dh_auto_build

override_dh_auto_test:
	# run t/*.t, skip test.pl
	dh_auto_test -- TEST_FILES="$(TEST_FILES)" TEST_FILE=/dev/null

override_dh_auto_install:
	dh_auto_install
	chmod -x $(TMP)/$(ARCHLIB)/*.pod \
		$(TMP)/$(ARCHLIB)/OpenGL/*.pod

override_dh_installchangelogs:
	dh_installchangelogs Release_Notes

override_dh_installexamples:
	dh_installexamples
	find $(EXAMPLES) -type f -print0 | \
		xargs -r0 sed -i -e '1s|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	chmod -x $(EXAMPLES)/README $(EXAMPLES)/*.txt $(EXAMPLES)/stan.ppm \
		$(EXAMPLES)/spaceship.nff $(EXAMPLES)/wolf.bin

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,uversionmangle=s/\.\d{2}$/$&00/" \
https://metacpan.org/release/OpenGL   .*/OpenGL-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## libopengl-perl 0.7004+dfsg

=== debian/changelog ===
libopengl-perl (0.7004+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Update debian/upstream/metadata.

  [ Florian Schlichting ]
  * Import upstream version 0.7004+dfsg.
  * Drop obsolete patches
  * Do not run t/shader.t, it needs a display
  * Upstream changelog is now in Changes, found automatically
  * fix installation of example files
  * Drop alternative Build-Depends on obsolete libgl1-mesa-dev
  * update d/copyright (new and moved files, years)
  * Declare compliance with Debian Policy 4.7.2

 -- Florian Schlichting <fsfs@debian.org>  Fri, 21 Mar 2025 23:37:13 +0100

libopengl-perl (0.7000+dfsg-8) unstable; urgency=medium

  * Update debian/patches/glext.patch.
    Extend regex for parsing /usr/include/GL/glext.h, as the copyright notice
    in this file has changed.
    Thanks to Lucas Nussbaum for the bug report. (Closes: #1028696)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Jan 2023 16:57:05 +0100

libopengl-perl (0.7000+dfsg-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libopengl-perl: Drop Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 18:46:30 +0100

libopengl-perl (0.7000+dfsg-6) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + libopengl-perl: Add Multi-Arch: same.

  [ gregor herrmann ]
  * Remove $Config{vendorarch} from debian/rules.
    Causes issues with cross-builds, and can be replaced by
    `find … | xargs …'.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Nov 2021 21:32:55 +0100

libopengl-perl (0.7000+dfsg-5) unstable; urgency=medium

  * Make build dependency on libgl1-mesa-dev versioned. Needed with the
    patch for #941919.
    Thanks to YunQiang Su for the report.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Oct 2019 14:21:36 +0200

libopengl-perl (0.7000+dfsg-4) unstable; urgency=medium

  * Update debian/patches/glext.patch.
    The old way of copying #include's into glext_types.h does not work anymore
    with mesa 19.x. Adjust utils/glext_procs.pl.
    (Closes: #941919)
  * Declare compliance with Debian Policy 4.4.1.
  * Use debhelper-compat.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Oct 2019 18:07:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                freeglut3-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libx11-dev,
-               perl
-Standards-Version: 4.3.0
+               perl-xs-dev,
+               perl:native
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libopengl-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libopengl-perl.git
 Homepage: https://metacpan.org/release/OpenGL
+Rules-Requires-Root: no
 
 Package: libopengl-perl
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
EXAMPLES = $(TMP)/usr/share/doc/$(PACKAGE)/examples

TEST_FILES=$(wildcard t/*.t)
FILTERED_TEST_FILES=$(filter-out t/shader.t, ${TEST_FILES})

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	( cd $(CURDIR)/utils; perl glext_procs.pl )
	dh_auto_build

override_dh_auto_test:
	# run t/*.t, skip test.pl
	dh_auto_test -- TEST_FILES="$(FILTERED_TEST_FILES)" TEST_FILE=/dev/null

override_dh_auto_install:
	mv --no-clobber --verbose blib/lib/*.pl examples/
	dh_auto_install
	find $(TMP) -type f -name "*.pod" -print0 | xargs -r0 chmod -x

override_dh_installexamples:
	dh_installexamples
	find $(EXAMPLES) -type f -print0 | \
		xargs -r0 sed -i -e '1s|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	chmod -x $(EXAMPLES)/glxgears.pl

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,uversionmangle=s/\.\d{2}$/$&00/" \
https://metacpan.org/release/OpenGL   .*/OpenGL-v?@ANY_VERSION@@ARCHIVE_EXT@$
